Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# input.hh File Reference

A GdkDevice C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gdk/types.hh>`
`#include <vector>`
`#include <xfc/gdk/inline/input.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk

## Classes

- class Xfc::Gdk::Device
    A GdkDevice C++ wrapper class. More...

## Device Methods

- bool devices_list (std::vector< Device * > &devices)
    Returns the list of available input devices attached to the default display.

## Enumerations

- enum InputSource {
  SOURCE_MOUSE = GDK_SOURCE_MOUSE,
  SOURCE_PEN = GDK_SOURCE_PEN,
  SOURCE_ERASER = GDK_SOURCE_ERASER,
  SOURCE_CURSOR = GDK_SOURCE_CURSOR
  }
    An enumeration describing the type of an input device in general terms. More...
- enum InputMode {
  MODE_DISABLED = GDK_MODE_DISABLED,
  MODE_SCREEN = GDK_MODE_SCREEN,
  MODE_WINDOW = GDK_MODE_WINDOW
  }
    An enumeration that describes the mode of an input device. More...

## Detailed Description

A GdkDevice C++ wrapper interface.

Provides Device, an object for handling extended input devices.

## Enumeration Type Documentation

enum InputMode

An enumeration that describes the mode of an input device.

Enumeration values:

  MODE_DISABLED | The device is disabled and will not report any events.
  MODE_SCREEN | The device is enabled; the device's coordinate space maps to the entire screen.
  MODE_WINDOW | The device is enabled; the device's coordinate space is mapped to a single window (the manner in which this window is chosen is undefined, but it will typically be the same way in which the focus window for key events is determined).

enum InputSource

An enumeration describing the type of an input device in general terms.

Enumeration values:

  SOURCE_MOUSE | The device is a mouse (this will be reported for the core pointer, even if it is something else, such as a trackball).
  SOURCE_PEN | The device is a stylus of a graphics tablet or similar device.
  SOURCE_ERASER | The device is an eraser; typically, this would be the other end of a stylus on a graphics tablet.
  SOURCE_CURSOR | The device is a graphics tablet "puck" or similar device.

## Function Documentation

bool devices_list | ( | std::vector< Device * > & | devices | ) |

Returns the list of available input devices attached to the default display.

Parameters:

  | devices | A reference to a vector of Device* to hold the list of devices.

Returns:
  true if the vector is not empty.

The devices in this list are statically allocated and will be freed by GTK+. See also Gdk::Display::list_devcies.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3